<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~sequencing_started.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Register sequencing started" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Sequencing startup information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">runParameters.xml</td>
				<td class="input">
					<input type="file" multiple class="required" name="runParametersXml" id="runParametersXml" style="width: 95%;">
				</td>
				<td class="status" id="runParametersXml.status"></td>
				<td class="help">
					<span id="runParametersXml.message" class="message"></span>
					Select the <b>runParameters.xml</b> file that was created by the HiSeq. Typically found 
					on drive <b>D: or E:</b> in <b>\Illumina\HiSeqTemp\&lt;run-folder&gt;</b> subfolder.
				</td>
			</tr>
			<tbody class="info-section">
			<tr class="section-header">
				<td colspan="3">Sequencing information</td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Experiment</td>
				<td class="info" id="experimentName"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">RunID</td>
				<td class="info" id="runId"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Barcode</td>
				<td class="info" id="externalId"></td>
				<td class="status" id="externalId.status"></td>
				<td class="help">
					<span id="externalId.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Position</td>
				<td class="info" id="position"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Run number</td>
				<td class="info" id="runNumber"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Start date</td>
				<td class="info" id="startDate"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Sequencing cycles</td>
				<td class="info" id="sequencingCycles"></td>
				<td class="status" id="sequencingCycles.status"></td>
				<td class="help">
					<span id="sequencingCycles.message" class="message"></span>
				</td>
			</tr>
			<tr class="section-header">
				<td id="flowCellName" colspan="3">Flow cell information</td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">Pools</td>
				<td class="info" id="pools"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr>
				<td class="prompt">LibPlate</td>
				<td class="info" id="libPlate"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</tbody>
			
			<tbody id="existing-sequencing-runs" class="info-section">
			<tr>
				<td class="prompt"></td>
				<td class="info"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			</tbody>
			
			<tr>
				<td class="prompt">Operator</td>
				<td class="input">
					<input type="text" name="sequencingOperator" value="<%=HTML.encodeTags(user.getName()) %>" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencer"
						maxlength="255">
				</td>
				<td class="status" id="sequencingOperator.status"></td>
				<td class="help">
					<span id="sequencingOperator.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Sequencing machine</td>
				<td class="input">
					<select name="sequencer" id="sequencer"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="sequencingProtocol"
					></select>
				</td>
				<td class="status" id="sequencer.status"></td>
				<td class="help">
					<span id="sequencer.message" class="message"></span>
					Select the HiSeq machine which is used for sequencing.
				</td>
			</tr>
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input">
					<select name="sequencingProtocol" id="sequencingProtocol"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="comments"
					></select>
				</td>
				<td class="status" id="sequencingProtocol.status"></td>
				<td class="help">
					<span id="sequencingProtocol.message" class="message"></span>
					Select the protocol which was used in the clustering.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input"><textarea name="comments" id="comments" rows="6"></textarea></td>
				<td class="status" id="comments.status"></td>
				<td class="help">
					<span id="comments.message" class="message"></span>
					Comments about the sequencing startup.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>