var Details = function()
{
	var details = {};
	var debug = 0;
	
	// Page initialization
	details.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnSave', details.saveDetails);
		
		Events.addEventHandler('qiacubePosition', 'keypress', Events.integerOnly);
		Events.addEventHandler('lysateOriginalQuantity', 'keypress', Events.numberOnly);
		Events.addEventHandler('lysateUsedQuantity', 'keypress', Events.numberOnly);
		Events.addEventHandler('dnaVolume', 'keypress', Events.numberOnly);
		Events.addEventHandler('rnaVolume', 'keypress', Events.numberOnly);
		Events.addEventHandler('ftVolume', 'keypress', Events.numberOnly);
		
		var index = Data.int('page-data', 'index');
		var frm = document.forms['details'];
		var pfrm = window.opener.document.forms['reggie'];
		var lysate = pfrm.lysates[index].lysate;

		frm.qiacubePosition.value = lysate.qiacubePosition;
		frm.lysateOriginalQuantity.value = lysate.originalQuantity;
		frm.lysateUsedQuantity.value = lysate.processedQuantity;
		frm.dnaVolume.value = lysate.dna.volume;
		frm.rnaVolume.value = lysate.rna.volume;
		frm.ftVolume.value = lysate.ft.volume;
		
		frm.lysateComment.value = lysate.comment || '';
		frm.dnaComment.value = lysate.dna.comment || '';
		frm.rnaComment.value = lysate.rna.comment || '';
		frm.ftComment.value = lysate.ft.comment || '';

		var reagents = window.opener.ExtractionReg.REAGENTS;
		for (var i = 0; i < reagents.length; i++)
		{
			var rg = reagents[i];
			frm[rg].value = lysate[rg] || '';
			Doc.element(rg+'.default').innerHTML = Strings.encodeTags(pfrm[rg].value);
		}
		
		frm.qiacubePosition.focus();
		setTimeout(details.checkForm, 100);
	}
	
	details.checkForm = function()
	{
		var frm = document.forms['details'];
		
		// Qiacube position
		var qiacubePosition = parseInt(frm.qiacubePosition.value, 10);
		if (qiacubePosition < 1 || qiacubePosition > 12)
		{
			Forms.showNotification('qiacubePosition', 'Qiacube position must be between 1 and 12.');
			return false;
		}
		
		// Lysate quanities
		var lysateOriginalQuantity = parseFloat(frm.lysateOriginalQuantity.value);
		if (!(lysateOriginalQuantity > 0))
		{
			Forms.showNotification('lysateOriginalQuantity', 'Invalid value for Lysate total quantity.');
			return false;
		}
		var lysateUsedQuantity = parseFloat(frm.lysateUsedQuantity.value);
		if (!(lysateUsedQuantity > 0))
		{
			Forms.showNotification('lysateUsedQuantity', 'Invalid value for Lysate used quantity.');
			return false;
		}
		if (lysateUsedQuantity > lysateOriginalQuantity)
		{
			Forms.showNotification('lysateUsedQuantity', 'Lysate used quantity is bigger than total quantity.');
			return false;
		}

		// DNA
		var dnaVolume = parseFloat(frm.dnaVolume.value);
		if (!(dnaVolume > 0))
		{
			Forms.showNotification('dnaVolume', 'Invalid value for DNA volume.');
			return false;
		}

		// RNA
		var rnaVolume = parseFloat(frm.rnaVolume.value);
		if (!(rnaVolume > 0))
		{
			Forms.showNotification('rnaVolume', 'Invalid value for RNA volume.');
			return false;
		}
		
		// FT
		var ftVolume = parseFloat(frm.ftVolume.value);
		if (!(ftVolume > 0))
		{
			Forms.showNotification('ftVolume', 'Invalid value for FT volume.');
			return false;
		}

		return true;
	}

	details.saveDetails = function()
	{
		if (!details.checkForm()) return;
		
		var index = Data.int('page-data', 'index');
		var lysate = window.opener.document.forms['reggie'].lysates[index].lysate;
		var frm = document.forms['details'];

		lysate.qiacubePosition = parseInt(frm.qiacubePosition.value, 10);
		lysate.originalQuantity = parseFloat(frm.lysateOriginalQuantity.value);
		lysate.processedQuantity = parseFloat(frm.lysateUsedQuantity.value);
		lysate.comment = frm.lysateComment.value;

		lysate.dna.volume = parseFloat(frm.dnaVolume.value);
		lysate.dna.comment = frm.dnaComment.value;
		lysate.rna.volume = parseFloat(frm.rnaVolume.value);
		lysate.rna.comment = frm.rnaComment.value;
		lysate.ft.volume = parseFloat(frm.ftVolume.value);
		lysate.ft.comment = frm.ftComment.value;
		
		var reagents = window.opener.ExtractionReg.REAGENTS;
		for (var i = 0; i < reagents.length; i++)
		{
			var rg = reagents[i];
			lysate[rg] = frm[rg].value || null;
		}
		
		window.opener.ExtractionReg.updateDetailsTable();
		window.close();
	}

	
	return details;
}();

Doc.onLoad(Details.initPage);

