<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~rnaqc_plate_export.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="RNA quality control - Export Caliper sample names and run parameters" 
		/></p:path>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<!-- 1. Select bioplate -->
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select RNA QC plate</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Active bioplates</td>
				<td class="input">
					<select name="bioPlates" id="bioPlates"></select>
				</td>
				<td class="status" id="bioplates.status"></td>
				<td class="help">
					<span id="bioplates.message" class="message"></span>
					Select the bioplate to export sample names or run parameters from. 
					<p>
					The list contain RNAQC bioplates without quality score data (determined by 
					absence of QCRunDate annotation).
					<p>
					Tip! You can run the exporter for any bioplate as a regular plug-in by selecting 
					a bioplate from the list at <a 
					href="<%=request.getContextPath()%>/biomaterials/bioplates/index.jsp?ID=<%=ID%>"
					>Biomaterial LIMS › Bioplates</a> and then use the <b>Export</b> button. 
				</td>
			</tr>
			
			<tr class="align-top">
				<td class="prompt">Export</td>
				<td class="input" id="export" style="white-space: nowrap;">
					
				</td>
				<td class="status" id="export.status"></td>
				<td class="help">
					<span id="export.message" class="message"></span>
					Select what to export. Typically, you'll need the sample name file and the standard and
					high sensitivity run files.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>